# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
query occ_getCartDeliveryModes_query($baseSiteId: String!, $cartId: String!, $fields: String = "DEFAULT", $userId: String!) {
  occ_getCartDeliveryModes(
    baseSiteId: $baseSiteId
    cartId: $cartId
    fields: $fields
    userId: $userId
  ) {
    ... on occ_DeliveryModeList {
      deliveryModes {
        code
        deliveryCost {
          currencyIso
          formattedValue
          maxQuantity
          minQuantity
          priceType
          value
        }
        description
        name
      }
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}